Summary
Preserve incoming form data format
Description
Find and revert containers object/array mutation
Route
POST /formbuilder/preserveFormData
Roles
admin
apiread
operator
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| form_name |
string |
yes |
Form name |
| data |
object |
yes |
Form output data to convert |
Copied to Clipboard
{
"form_name": "Form 123",
"data": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "13704327-6da9-7e8e-ba0e-69b5430222e3",
"groups": [
"2e9b4d6d6b86a597775379c2",
"71b29aa5a27b73dd08d6e70d",
"b7fd4a1ff4977deff3da663f"
],
"created": "2022-10-29T04:44:09.04Z",
"created_by": "d5453d3fa16df0bbb0ee57a3",
"last_updated": "2023-01-03T09:28:17.798Z",
"last_updated_by": "4096915e0ee63b3266165973"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"form_name": {
"title": "form_name",
"$ref": "formDocument#/definitions/formName"
},
"data": {
"title": "data",
"$ref": "formDocument"
}
},
"required": [
"form_name",
"data"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Forms details |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "62bf4cee-78d7-a55e-2217-b414e45c6466",
"groups": [
"81d798c83dd2f536cd1bec56"
],
"created": "1958-09-21T11:47:54.476Z",
"created_by": "9e3ae6d0930c10afd67fa99d",
"last_updated": "2024-12-17T17:40:04.292Z",
"last_updated_by": "4b437cdc8b818c4e9ef5f2e1"
}